io.etcd.jetcd.api

## Class ResponseOp

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.ResponseOp

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, ResponseOpOrBuilder, Serializable

    public final class ResponseOp
    extends com.google.protobuf.GeneratedMessageV3
    implements ResponseOpOrBuilder

Protobuf type `etcdserverpb.ResponseOp`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ResponseOp.Builder` Protobuf type `etcdserverpb.ResponseOp`
`static class` `ResponseOp.ResponseCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `RESPONSE_DELETE_RANGE_FIELD_NUMBER`
`static int` `RESPONSE_PUT_FIELD_NUMBER`
`static int` `RESPONSE_RANGE_FIELD_NUMBER`
`static int` `RESPONSE_TXN_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static ResponseOp` `getDefaultInstance()`
`ResponseOp` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<ResponseOp>` `getParserForType()`
`ResponseOp.ResponseCase` `getResponseCase()`
`DeleteRangeResponse` `getResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`DeleteRangeResponseOrBuilder` `getResponseDeleteRangeOrBuilder()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`PutResponse` `getResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`PutResponseOrBuilder` `getResponsePutOrBuilder()` `.etcdserverpb.PutResponse response_put = 2;`
`RangeResponse` `getResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`RangeResponseOrBuilder` `getResponseRangeOrBuilder()` `.etcdserverpb.RangeResponse response_range = 1;`
`TxnResponse` `getResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`
`TxnResponseOrBuilder` `getResponseTxnOrBuilder()` `.etcdserverpb.TxnResponse response_txn = 4;`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`boolean` `hasResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`boolean` `hasResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`boolean` `hasResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`boolean` `hasResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static ResponseOp.Builder` `newBuilder()`
`static ResponseOp.Builder` `newBuilder(ResponseOp prototype)`
`ResponseOp.Builder` `newBuilderForType()`
`protected ResponseOp.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ResponseOp` `parseDelimitedFrom(InputStream input)`
`static ResponseOp` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ResponseOp` `parseFrom(byte[] data)`
`static ResponseOp` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ResponseOp` `parseFrom(ByteBuffer data)`
`static ResponseOp` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ResponseOp` `parseFrom(com.google.protobuf.ByteString data)`
`static ResponseOp` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ResponseOp` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static ResponseOp` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ResponseOp` `parseFrom(InputStream input)`
`static ResponseOp` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ResponseOp>` `parser()`
`ResponseOp.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### RESPONSE_RANGE_FIELD_NUMBER

    public static final int RESPONSE_RANGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### RESPONSE_PUT_FIELD_NUMBER

    public static final int RESPONSE_PUT_FIELD_NUMBER

See Also:
  Constant Field Values

#### RESPONSE_DELETE_RANGE_FIELD_NUMBER

    public static final int RESPONSE_DELETE_RANGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### RESPONSE_TXN_FIELD_NUMBER

    public static final int RESPONSE_TXN_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getResponseCase

    public ResponseOp.ResponseCase getResponseCase()

Specified by:
  `getResponseCase` in interface `ResponseOpOrBuilder`

#### hasResponseRange

    public boolean hasResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

Specified by:
  `hasResponseRange` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responseRange field is set.

#### getResponseRange

    public RangeResponse getResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

Specified by:
  `getResponseRange` in interface `ResponseOpOrBuilder`
Returns:
  The responseRange.

#### getResponseRangeOrBuilder

    public RangeResponseOrBuilder getResponseRangeOrBuilder()

`.etcdserverpb.RangeResponse response_range = 1;`

Specified by:
  `getResponseRangeOrBuilder` in interface `ResponseOpOrBuilder`

#### hasResponsePut

    public boolean hasResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

Specified by:
  `hasResponsePut` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responsePut field is set.

#### getResponsePut

    public PutResponse getResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

Specified by:
  `getResponsePut` in interface `ResponseOpOrBuilder`
Returns:
  The responsePut.

#### getResponsePutOrBuilder

    public PutResponseOrBuilder getResponsePutOrBuilder()

`.etcdserverpb.PutResponse response_put = 2;`

Specified by:
  `getResponsePutOrBuilder` in interface `ResponseOpOrBuilder`

#### hasResponseDeleteRange

    public boolean hasResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Specified by:
  `hasResponseDeleteRange` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responseDeleteRange field is set.

#### getResponseDeleteRange

    public DeleteRangeResponse getResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Specified by:
  `getResponseDeleteRange` in interface `ResponseOpOrBuilder`
Returns:
  The responseDeleteRange.

#### getResponseDeleteRangeOrBuilder

    public DeleteRangeResponseOrBuilder getResponseDeleteRangeOrBuilder()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Specified by:
  `getResponseDeleteRangeOrBuilder` in interface `ResponseOpOrBuilder`

#### hasResponseTxn

    public boolean hasResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

Specified by:
  `hasResponseTxn` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responseTxn field is set.

#### getResponseTxn

    public TxnResponse getResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

Specified by:
  `getResponseTxn` in interface `ResponseOpOrBuilder`
Returns:
  The responseTxn.

#### getResponseTxnOrBuilder

    public TxnResponseOrBuilder getResponseTxnOrBuilder()

`.etcdserverpb.TxnResponse response_txn = 4;`

Specified by:
  `getResponseTxnOrBuilder` in interface `ResponseOpOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static ResponseOp parseFrom(ByteBuffer data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ResponseOp parseFrom(ByteBuffer data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ResponseOp parseFrom(com.google.protobuf.ByteString data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ResponseOp parseFrom(com.google.protobuf.ByteString data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ResponseOp parseFrom(byte[] data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ResponseOp parseFrom(byte[] data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ResponseOp parseFrom(InputStream input)
                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ResponseOp parseFrom(InputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ResponseOp parseDelimitedFrom(InputStream input)
                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ResponseOp parseDelimitedFrom(InputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ResponseOp parseFrom(com.google.protobuf.CodedInputStream input)
                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ResponseOp parseFrom(com.google.protobuf.CodedInputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public ResponseOp.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static ResponseOp.Builder newBuilder()

#### newBuilder

    public static ResponseOp.Builder newBuilder(ResponseOp prototype)

#### toBuilder

    public ResponseOp.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected ResponseOp.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static ResponseOp getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<ResponseOp> parser()

#### getParserForType

    public com.google.protobuf.Parser<ResponseOp> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public ResponseOp getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`